Coursepad is compatible with Internet Explorer (version 9 and above), Firefox, Chrome and Safari (7 and above).


The Coursepad content management system uses HTML5 technology which allows advanced capabilities and solutions for your site, as well as support for mobile devices. However, HTML5 is a relatively new technology and may not be fully supported by older browsers. To make sure that things run smoothly, we recommend updating all of your browsers to the most recent versions. You can easily check if your current browser supports HTML5 here.

To download the latest browser versions, please click below:

You can also check this site for a detailed look at which browsers are better optimized for HTML5.


Note: Microsoft does not support Internet Explorer 9 on Windows XP. If you're using Windows XP, we suggest you use another browser. We hope Microsoft will provide a solution for supporting HTML5 in the Windows XP Operating System soon.